package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.infosec.mobile.android.IMSCertAction;
import cn.com.infosec.mobile.android.IMSError;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.KeyStoreUtil;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

@Keep
public class CertManager {
   private IMSCertAction imsCertAction;
   private boolean isUpdate;
   private KeyStoreUtil keyStoreUtil;
   private String[] algs = new String[]{"des3", "rc4", "sms4-cbc"};

   public CertManager(Context context) {
      this.imsCertAction = new IMSCertAction(context);
      this.keyStoreUtil = KeyStoreUtil.getInstance(context);
   }

   private void doGetCert(@NonNull String userName, @NonNull String PIN, String authParam, @NonNull Result.ResultListener resultListener) {
      NetworkInterface var10000;
      if (this.imsCertAction.isCollaborative()) {
         int var5;
         if ((var5 = this.imsCertAction.genP10Model()) != 0) {
            if (var5 != 1) {
               if (var5 != 2) {
                  Result var8;
                  var8 = new Result.<init>("IE1013");
                  resultListener.handleResult(var8);
               } else {
                  this.collaborateP10ByServerOptimize(userName, PIN, authParam, resultListener);
               }
            } else {
               this.collaborateP10ByServer(userName, PIN, authParam, resultListener);
            }
         } else {
            Map var10;
            if ((var10 = this.imsCertAction.serverPubKeyBegin(userName, authParam)) == null) {
               resultListener.handleResult(this.imsCertAction.getLatestResult());
               return;
            }

            var10000 = IMSSdk.networkInterface;
            String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/genenrateKey");
            Map var10002 = var10;
            NetworkInterface.NetworkCallback var11;
            var11 = new NetworkInterface.NetworkCallback<JSONObject>() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final String val$authParam;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$PIN = var3;
                  this.val$authParam = var4;
                  this.val$resultListener = var5;
               }

               public void onSucceed(@NonNull JSONObject callbackData) {
                  callbackData = super.decodeFilter(callbackData);
                  CertManager var10000 = CertManager.this;
                  <undefinedtype> var10001 = this;
                  <undefinedtype> var10002 = this;
                  <undefinedtype> var10003 = this;
                  String var5 = this.val$userName;
                  String var2 = var10003.val$PIN;
                  String var3 = var10002.val$authParam;
                  Result.ResultListener var4 = var10001.val$resultListener;
                  var10000.collaborateP10(var5, var2, var3, callbackData, var4);
               }

               public void onFailed(@NonNull String errorMsg) {
                  <undefinedtype> var10000 = this;
                  Result var2;
                  var2 = new Result.<init>("IE1028", errorMsg);
                  var10000.val$resultListener.handleResult(var2);
                  IMSSdk.mLogger.log(Level.SEVERE, "获取服务器公钥失败:".concat(errorMsg));
                  XLog.d("获取服务器公钥失败:".concat(errorMsg));
               }
            }.<init>(userName, PIN, authParam, resultListener);
            var10000.httpPost(var10001, var10002, var11);
         }
      } else {
         Map authParam1;
         if ((authParam1 = this.imsCertAction.certBegin(userName, PIN)) == null) {
            resultListener.handleResult(this.imsCertAction.getLatestResult());
            return;
         }

         NetworkInterface var12 = IMSSdk.networkInterface;
         String var6 = "/".concat(IMSSdk.APP_NAME);
         String var7;
         if (this.isUpdate) {
            var7 = "/cert/updateCert";
         } else {
            var7 = "/cert/requestCert";
         }

         var10000 = var12;
         String var13 = var6.concat(var7);
         NetworkInterface.NetworkCallback var14;
         var14 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSCertAction var10001 = CertManager.this.imsCertAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.certFinal(var2, var10002.val$PIN, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "申请证书失败:".concat(errorMsg));
               XLog.d("申请证书失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN);
         var10000.httpPost(var13, authParam1, var14);
      }

   }

   private void collaborateP10ByServer(@NonNull String userName, @NonNull String PIN, String authParam, Result.ResultListener resultListener) {
      Map authParam1;
      if ((authParam1 = this.imsCertAction.collaborateP10ByServerBegin(userName, PIN, authParam)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/initP10");
         Map var10002 = authParam1;
         NetworkInterface.NetworkCallback authParam2;
         authParam2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$userName = var2;
               this.val$PIN = var3;
               this.val$resultListener = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               CertManager var10000 = CertManager.this;
               <undefinedtype> var10001 = this;
               <undefinedtype> var10002 = this;
               String var4 = this.val$userName;
               String var2 = var10002.val$PIN;
               Result.ResultListener var3 = var10001.val$resultListener;
               var10000.collaborateCertByServer(var4, var2, callbackData, var3);
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "协同P10失败:".concat(errorMsg));
               XLog.d("协同P10失败:".concat(errorMsg));
            }
         }.<init>(userName, PIN, resultListener);
         var10000.httpPost(var10001, var10002, authParam2);
      }
   }

   private void collaborateP10ByServerOptimize(@NonNull String userName, @NonNull String PIN, String authParam, Result.ResultListener resultListener) {
      Map authParam1;
      if ((authParam1 = this.imsCertAction.associateRequestCertOptimizeBegin(userName, PIN, authParam)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/cert/associateRequestCertOptimize");
         Map var10002 = authParam1;
         NetworkInterface.NetworkCallback authParam2;
         authParam2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSCertAction var10001 = CertManager.this.imsCertAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.collaborateCertFinal(var2, var10002.val$PIN, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "服务端产生P10（优化）失败:".concat(errorMsg));
               XLog.d("服务端产生P10（优化）失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN);
         var10000.httpPost(var10001, var10002, authParam2);
      }
   }

   private void collaborateP10(@NonNull String userName, @NonNull String PIN, String authParam, @NonNull JSONObject callbackData, Result.ResultListener resultListener) {
      Map authParam1;
      if ((authParam1 = this.imsCertAction.collaborateP10Begin(userName, PIN, authParam, callbackData)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew");
         Map var10002 = authParam1;
         NetworkInterface.NetworkCallback authParam2;
         authParam2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$userName = var2;
               this.val$PIN = var3;
               this.val$resultListener = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               CertManager var10000 = CertManager.this;
               <undefinedtype> var10001 = this;
               <undefinedtype> var10002 = this;
               String var4 = this.val$userName;
               String var2 = var10002.val$PIN;
               Result.ResultListener var3 = var10001.val$resultListener;
               var10000.collaborateCert(var4, var2, callbackData, var3);
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "协同P10失败:".concat(errorMsg));
               XLog.d("协同P10失败:".concat(errorMsg));
            }
         }.<init>(userName, PIN, resultListener);
         var10000.httpPost(var10001, var10002, authParam2);
      }
   }

   private void collaborateCertByServer(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData, Result.ResultListener resultListener) {
      Map callbackData1;
      if ((callbackData1 = this.imsCertAction.collaborateCertByServerBegin(userName, PIN, callbackData)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/cert/associateRequestCert");
         Map var10002 = callbackData1;
         NetworkInterface.NetworkCallback callbackData2;
         callbackData2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSCertAction var10001 = CertManager.this.imsCertAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.collaborateCertFinal(var2, var10002.val$PIN, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "协同证书失败:".concat(errorMsg));
               XLog.d("协同证书失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN);
         var10000.httpPost(var10001, var10002, callbackData2);
      }
   }

   private void collaborateCert(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData, Result.ResultListener resultListener) {
      Map callbackData1;
      if ((callbackData1 = this.imsCertAction.collaborateCertBegin(userName, PIN, callbackData)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         String var5;
         if (this.isUpdate) {
            var5 = "/cert/updateCert";
         } else {
            var5 = "/cert/requestCert";
         }

         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat(var5);
         Map var10002 = callbackData1;
         NetworkInterface.NetworkCallback callbackData2;
         callbackData2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSCertAction var10001 = CertManager.this.imsCertAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.collaborateCertFinal(var2, var10002.val$PIN, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1028", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "协同证书失败:".concat(errorMsg));
               XLog.d("协同证书失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN);
         var10000.httpPost(var10001, var10002, callbackData2);
      }
   }

   private Result doGetCert(@NonNull String param1, @NonNull String param2, String param3) {
      // $FF: Couldn't be decompiled
   }

   private Result collaborateP10(@NonNull String userName, @NonNull String PIN, String authParam, @NonNull JSONObject callbackData) {
      Exception var10000;
      label33: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsCertAction.collaborateP10Begin(userName, PIN, authParam, callbackData);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label33;
         }

         Map authParam1 = var11;
         if (var11 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label35: {
               CertManager var12;
               String var13;
               String var10002;
               NetworkInterface var10003;
               try {
                  var12 = this;
                  var13 = userName;
                  var10002 = PIN;
                  var10003 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label35;
               }

               String var10004 = "/";

               try {
                  return var12.collaborateCert(var13, var10002, var10003.httpPost(var10004.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), authParam1));
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   private Result collaborateP10ByServer(@NonNull String userName, @NonNull String PIN, String authParam) {
      Exception var10000;
      label33: {
         Map var10;
         boolean var10001;
         try {
            var10 = this.imsCertAction.collaborateP10ByServerBegin(userName, PIN, authParam);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label33;
         }

         Map authParam1 = var10;
         if (var10 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label35: {
               CertManager var11;
               String var12;
               String var10002;
               NetworkInterface var10003;
               try {
                  var11 = this;
                  var12 = userName;
                  var10002 = PIN;
                  var10003 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label35;
               }

               String var10004 = "/";

               try {
                  return var11.collaborateCertByServer(var12, var10002, var10003.httpPost(var10004.concat(IMSSdk.APP_NAME).concat("/user/initP10"), authParam1));
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var8 = var10000;
      var8.printStackTrace();
      return new Result("IE1015", var8);
   }

   private Result collaborateP10ByServerOptimize(@NonNull String userName, @NonNull String PIN, String authParam) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsCertAction.associateRequestCertOptimizeBegin(userName, PIN, authParam);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map authParam1 = var12;
         if (var12 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               CertManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/cert/associateRequestCertOptimize"), authParam1);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var15;

               try {
                  return var13.imsCertAction.collaborateCertFinal(userName, PIN, var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   private Result collaborateCertByServer(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsCertAction.collaborateCertByServerBegin(userName, PIN, callbackData);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map callbackData1 = var12;
         if (var12 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               CertManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/cert/associateRequestCert"), callbackData1);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var15;

               try {
                  return var13.imsCertAction.collaborateCertFinal(userName, PIN, var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   private Result collaborateCert(@NonNull String userName, @NonNull String PIN, @NonNull JSONObject callbackData) {
      Exception var10000;
      label52: {
         Map var14;
         boolean var10001;
         try {
            var14 = this.imsCertAction.collaborateCertBegin(userName, PIN, callbackData);
         } catch (Exception var10) {
            var10000 = var10;
            var10001 = false;
            break label52;
         }

         Map callbackData1 = var14;
         if (var14 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label54: {
               boolean var15;
               try {
                  var15 = this.isUpdate;
               } catch (Exception var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label54;
               }

               String var4;
               if (var15) {
                  var4 = "/cert/updateCert";
               } else {
                  var4 = "/cert/requestCert";
               }

               CertManager var16;
               NetworkInterface var17;
               try {
                  var16 = this;
                  var17 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label54;
               }

               String var10002 = "/";

               JSONObject var18;
               try {
                  var18 = var17.httpPost(var10002.concat(IMSSdk.APP_NAME).concat(var4), callbackData1);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label54;
               }

               JSONObject var11 = var18;

               try {
                  return var16.imsCertAction.collaborateCertFinal(userName, PIN, var11);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var12 = var10000;
      var12.printStackTrace();
      return new Result("IE1015", var12);
   }

   private void decryptByCertCollaborative(String userName, String PIN, String encryptData, Result.ResultListener resultListener) {
      Map var5;
      if ((var5 = this.imsCertAction.decryptByCertCollaborativeBegin(userName, encryptData)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getDecryptData");
         Map var10002 = var5;
         NetworkInterface.NetworkCallback var6;
         var6 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final String val$encryptData;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$PIN = var4;
               this.val$encryptData = var5;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSCertAction var10001 = CertManager.this.imsCertAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               String var4 = this.val$userName;
               String var2 = var10003.val$PIN;
               String var3 = var10002.val$encryptData;
               var10000.handleResult(var10001.decryptByCertCollaborativeFinal(var4, var2, var3, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1029", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "获取服务器加密证书失败:".concat(errorMsg));
               XLog.d("获取服务器加密证书失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, PIN, encryptData);
         var10000.httpPost(var10001, var10002, var6);
      }
   }

   private Result decryptByCertCollaborative(String userName, String PIN, String encryptData) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsCertAction.decryptByCertCollaborativeBegin(userName, encryptData);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map var4 = var12;
         if (var12 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               CertManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getDecryptData"), var4);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               JSONObject var10 = var15;

               try {
                  return var13.imsCertAction.decryptByCertCollaborativeFinal(userName, PIN, encryptData, var10);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var11 = var10000;
      var11.printStackTrace();
      return new Result("IE1015", var11);
   }

   private Result openEnvelopWithCollaborative(String userName, String PIN, String envelopData) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsCertAction.openCollaorativeEnvelopBegin(userName, envelopData);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map var4 = var12;
         if (var12 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               CertManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getDecryptData"), var4);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               JSONObject var10 = var15;

               try {
                  return var13.imsCertAction.openCollaorativeEnvelopFinal(userName, PIN, envelopData, var10);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var11 = var10000;
      var11.printStackTrace();
      return new Result("IE1015", var11);
   }

   public void requestCert(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      this.isUpdate = false;
      TokenManager var4;
      var4 = new TokenManager.<init>(IMSSdk.mContext);
      if (IMSSdk.getSignAndTokenMode() != 0 && !var4.isSeedExist(userName)) {
         TokenManager var10000 = var4;
         Result.ResultListener var5;
         var5 = new Result.ResultListener() {
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$userName = var2;
               this.val$PIN = var3;
               this.val$resultListener = var4;
            }

            public void handleResult(Result result) {
               if (TextUtils.equals("000000", result.getResultID())) {
                  CertManager var10000 = CertManager.this;
                  <undefinedtype> var10001 = this;
                  <undefinedtype> var10002 = this;
                  String var3 = this.val$userName;
                  String result1 = var10002.val$PIN;
                  Result.ResultListener var2 = var10001.val$resultListener;
                  var10000.doGetCert(var3, result1, (String)null, var2);
               } else {
                  this.val$resultListener.handleResult(result);
                  XLog.d("下证失败");
               }

            }
         }.<init>(userName, PIN, resultListener);
         var10000.requestSeed(userName, PIN, var5);
      } else {
         this.doGetCert(userName, PIN, (String)null, resultListener);
      }

   }

   public Result requestCert(@NonNull String userName, @NonNull String PIN) {
      this.isUpdate = false;
      TokenManager var3;
      var3 = new TokenManager.<init>(IMSSdk.mContext);
      if (IMSSdk.getSignAndTokenMode() != 0 && !var3.isSeedExist(userName)) {
         Result var4;
         if (TextUtils.equals("000000", (var4 = var3.requestSeed(userName, PIN)).getResultID())) {
            return this.doGetCert(userName, PIN, (String)null);
         } else {
            XLog.d("下证失败");
            return var4;
         }
      } else {
         return this.doGetCert(userName, PIN, (String)null);
      }
   }

   public void requestCertWithAuth(@NonNull String userName, @NonNull String PIN, String authParam, @NonNull Result.ResultListener resultListener) {
      this.isUpdate = false;
      TokenManager var5;
      var5 = new TokenManager.<init>(IMSSdk.mContext);
      if (IMSSdk.getSignAndTokenMode() != 0 && !var5.isSeedExist(userName)) {
         TokenManager var10000 = var5;
         Result.ResultListener var6;
         var6 = new Result.ResultListener() {
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final String val$authParam;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$userName = var2;
               this.val$PIN = var3;
               this.val$authParam = var4;
               this.val$resultListener = var5;
            }

            public void handleResult(Result result) {
               if (TextUtils.equals("000000", result.getResultID())) {
                  CertManager var10000 = CertManager.this;
                  <undefinedtype> var10001 = this;
                  <undefinedtype> var10002 = this;
                  <undefinedtype> var10003 = this;
                  String var4 = this.val$userName;
                  String result1 = var10003.val$PIN;
                  String var2 = var10002.val$authParam;
                  Result.ResultListener var3 = var10001.val$resultListener;
                  var10000.doGetCert(var4, result1, var2, var3);
               } else {
                  this.val$resultListener.handleResult(result);
                  XLog.d("下证失败");
               }

            }
         }.<init>(userName, PIN, authParam, resultListener);
         var10000.requestSeed(userName, PIN, var6);
      } else {
         this.doGetCert(userName, PIN, authParam, resultListener);
      }

   }

   public Result requestCertWithAuth(@NonNull String userName, @NonNull String PIN, String authParam) {
      this.isUpdate = false;
      TokenManager var4;
      var4 = new TokenManager.<init>(IMSSdk.mContext);
      if (IMSSdk.getSignAndTokenMode() != 0 && !var4.isSeedExist(userName)) {
         Result var5;
         if (TextUtils.equals("000000", (var5 = var4.requestSeed(userName, PIN)).getResultID())) {
            return this.doGetCert(userName, PIN, authParam);
         } else {
            XLog.d("下证失败");
            return var5;
         }
      } else {
         return this.doGetCert(userName, PIN, authParam);
      }
   }

   public Result requestCertSync(@NonNull String userName, @NonNull String PIN) {
      this.isUpdate = false;
      TokenManager var3;
      var3 = new TokenManager.<init>(IMSSdk.mContext);
      if (IMSSdk.getSignAndTokenMode() != 0 && !var3.isSeedExist(userName)) {
         Result var4;
         if (TextUtils.equals("000000", (var4 = var3.requestSeed(userName, PIN)).getResultID())) {
            return this.doGetCert(userName, PIN, (String)null);
         } else {
            XLog.d("下证失败");
            return var4;
         }
      } else {
         return this.doGetCert(userName, PIN, (String)null);
      }
   }

   public void updateCert(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      this.isUpdate = true;
      Result.ResultListener var4;
      var4 = new Result.ResultListener() {
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;

         {
            this.val$userName = var2;
            this.val$PIN = var3;
            this.val$resultListener = var4;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               CertManager var10000 = CertManager.this;
               <undefinedtype> var10001 = this;
               <undefinedtype> var10002 = this;
               String var3 = this.val$userName;
               String result1 = var10002.val$PIN;
               Result.ResultListener var2 = var10001.val$resultListener;
               var10000.doGetCert(var3, result1, (String)null, var2);
            } else {
               this.val$resultListener.handleResult(result);
               XLog.d("更新证书失败");
            }

         }
      }.<init>(userName, PIN, resultListener);
      this.verifyPIN(userName, PIN, var4);
   }

   public Result updateCert(@NonNull String userName, @NonNull String PIN) {
      this.isUpdate = true;
      Result var3;
      if (TextUtils.equals("000000", (var3 = this.verifyPIN(userName, PIN)).getResultID())) {
         return this.doGetCert(userName, PIN, (String)null);
      } else {
         XLog.d("更新证书失败");
         return var3;
      }
   }

   public void getStatusOnLine(@NonNull String userName, @NonNull Result.ResultListener resultListener) {
      Result var3;
      if (!IMSSdk.enablePhoneCopy && !(var3 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
         resultListener.handleResult(var3);
      } else {
         Map var4;
         if ((var4 = this.imsCertAction.statusOnLineBegin(userName)) == null) {
            resultListener.handleResult(this.imsCertAction.getLatestResult());
         } else {
            NetworkInterface var10000 = IMSSdk.networkInterface;
            String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getUserState");
            Map var10002 = var4;
            NetworkInterface.NetworkCallback var5;
            var5 = new NetworkInterface.NetworkCallback<JSONObject>() {
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;
               // $FF: synthetic field
               final String val$userName;

               {
                  this.val$resultListener = var2;
                  this.val$userName = var3;
               }

               public void onSucceed(@NonNull JSONObject callbackData) {
                  callbackData = super.decodeFilter(callbackData);
                  this.val$resultListener.handleResult(CertManager.this.imsCertAction.statusOnLineFinal(this.val$userName, callbackData));
               }

               public void onFailed(@NonNull String errorMsg) {
                  <undefinedtype> var10000 = this;
                  Result var2;
                  var2 = new Result.<init>("IE1029", errorMsg);
                  var10000.val$resultListener.handleResult(var2);
                  IMSSdk.mLogger.log(Level.SEVERE, "获取状态失败:".concat(errorMsg));
                  XLog.d("获取状态失败:".concat(errorMsg));
               }
            }.<init>(resultListener, userName);
            var10000.httpPost(var10001, var10002, var5);
         }
      }
   }

   public Result getStatusOnLine(@NonNull String userName) {
      Result var2;
      if (!IMSSdk.enablePhoneCopy && !(var2 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
         return var2;
      } else {
         Exception var10000;
         label46: {
            Map var11;
            boolean var10001;
            try {
               var11 = this.imsCertAction.statusOnLineBegin(userName);
            } catch (Exception var7) {
               var10000 = var7;
               var10001 = false;
               break label46;
            }

            Map var10 = var11;
            if (var11 == null) {
               try {
                  return this.imsCertAction.getLatestResult();
               } catch (Exception var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            } else {
               label51: {
                  CertManager var12;
                  NetworkInterface var13;
                  try {
                     var12 = this;
                     var13 = IMSSdk.networkInterface;
                  } catch (Exception var6) {
                     var10000 = var6;
                     var10001 = false;
                     break label51;
                  }

                  String var10002 = "/";

                  JSONObject var14;
                  try {
                     var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getUserState"), var10);
                  } catch (Exception var5) {
                     var10000 = var5;
                     var10001 = false;
                     break label51;
                  }

                  JSONObject var8 = var14;

                  try {
                     return var12.imsCertAction.statusOnLineFinal(userName, var8);
                  } catch (Exception var4) {
                     var10000 = var4;
                     var10001 = false;
                  }
               }
            }
         }

         Exception var9 = var10000;
         var9.printStackTrace();
         return new Result("IE1015", var9);
      }
   }

   public String getCert(@NonNull String userName) {
      return this.imsCertAction.getCertString(userName);
   }

   public boolean deleteCert(@NonNull String userName) {
      return this.imsCertAction.deleteCert(userName);
   }

   public String getEncCert(@NonNull String userName) {
      return this.imsCertAction.getEncCert(userName);
   }

   public String getCertField(@NonNull String userName, int field) {
      return this.imsCertAction.getCertField(userName, field);
   }

   public boolean isCertExist(@NonNull String userName) {
      return this.imsCertAction.certExist(userName);
   }

   public void verifyPIN(@NonNull String userName, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      Result var5;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN)) {
         if (!this.isCertExist(userName)) {
            var5 = new Result.<init>("IE1005");
            resultListener.handleResult(var5);
         } else if (PIN.length() >= 256) {
            XLog.d("尝试验证PIN失败,PIN过长" + Arrays.toString(new String[]{PIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else {
            Result var4;
            if (!IMSSdk.enablePhoneCopy && !(var4 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               resultListener.handleResult(var4);
            } else {
               int var6 = this.imsCertAction.verifyPIN(userName, PIN);
               if (10000 == var6) {
                  var5 = new Result.<init>("000000");
                  resultListener.handleResult(var5);
               } else {
                  Logger var10001;
                  Level var10002;
                  String[] var10003;
                  if (var6 > 0) {
                     var10001 = IMSSdk.mLogger;
                     var10002 = Level.SEVERE;
                     String[] PIN1;
                     var10003 = PIN1 = new String[2];
                     PIN1[0] = userName;
                     var10003[1] = String.valueOf(var6);
                     var10001.log(var10002, "尝试验证PIN,但验证失败", PIN1);
                     XLog.d("尝试验证PIN,但验证失败" + Arrays.toString(new String[]{userName, String.valueOf(var6)}));
                     resultListener.handleResult(new Result("IE1010", String.valueOf(var6)));
                  } else if (var6 == 0) {
                     if ((new UserManager(IMSSdk.mContext)).isLocked(userName)) {
                        IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定", userName);
                        XLog.d("PIN尝试次数达到上限,该用户已经被锁定" + userName);
                        resultListener.handleResult(new Result("IE1045"));
                     } else if (TextUtils.equals("000000", (var5 = (new UserManager(IMSSdk.mContext)).lockUser(userName)).getResultID())) {
                        IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定", userName);
                        XLog.d("PIN尝试次数达到上限,该用户已经被锁定" + userName);
                        resultListener.handleResult(new Result("IE1045"));
                     } else {
                        IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,但用户锁定失败", userName);
                        XLog.d("PIN尝试次数达到上限,但用户锁定失败" + userName);
                        resultListener.handleResult(var5);
                     }
                  } else {
                     var10001 = IMSSdk.mLogger;
                     var10002 = Level.SEVERE;
                     String[] var7;
                     var10003 = var7 = new String[4];
                     var10003[0] = userName;
                     var10003[1] = String.valueOf(IMSError.errCode);
                     var10003[2] = IMSError.errMessage;
                     var10003[3] = IMSError.errDetail;
                     var10001.log(var10002, "验证PIN码时发生错误", var7);
                     XLog.d("验证PIN码时发生错误" + Arrays.toString(new String[]{userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                     resultListener.handleResult(new Result("IE1044"));
                  }
               }

            }
         }
      } else {
         var5 = new Result.<init>("IE1013");
         resultListener.handleResult(var5);
      }
   }

   public Result verifyPIN(@NonNull String userName, @NonNull String PIN) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN)) {
         if (!this.isCertExist(userName)) {
            return new Result("IE1005");
         } else if (PIN.length() >= 256) {
            XLog.d("尝试验证PIN失败,PIN过长" + Arrays.toString(new String[]{PIN}));
            return new Result("IE1013");
         } else {
            Result var3;
            if (!IMSSdk.enablePhoneCopy && !(var3 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               return var3;
            } else {
               int var4 = this.imsCertAction.verifyPIN(userName, PIN);
               if (10000 == var4) {
                  return new Result("000000");
               } else {
                  Logger var10000;
                  Level var10001;
                  String[] var10002;
                  if (var4 > 0) {
                     var10000 = IMSSdk.mLogger;
                     var10001 = Level.SEVERE;
                     String[] PIN1;
                     var10002 = PIN1 = new String[2];
                     PIN1[0] = userName;
                     var10002[1] = String.valueOf(var4);
                     var10000.log(var10001, "尝试验证PIN,但验证失败", PIN1);
                     XLog.d("尝试验证PIN,但验证失败" + Arrays.toString(new String[]{userName, String.valueOf(var4)}));
                     return new Result("IE1010", String.valueOf(var4));
                  } else if (var4 == 0) {
                     UserManager var6;
                     UserManager var9 = var6 = new UserManager;
                     var6.<init>(IMSSdk.mContext);
                     if (var9.isLocked(userName)) {
                        IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定", userName);
                        XLog.d("PIN尝试次数达到上限,该用户已经被锁定" + userName);
                        return new Result("IE1045");
                     } else {
                        Result var7;
                        if (TextUtils.equals("000000", (var7 = var6.lockUser(userName)).getResultID())) {
                           IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,该用户已经被锁定", userName);
                           XLog.d("PIN尝试次数达到上限,该用户已经被锁定" + userName);
                           return new Result("IE1045");
                        } else {
                           IMSSdk.mLogger.log(Level.SEVERE, "PIN尝试次数达到上限,但用户锁定失败", userName);
                           XLog.d("PIN尝试次数达到上限,但用户锁定失败" + userName);
                           return var7;
                        }
                     }
                  } else {
                     var10000 = IMSSdk.mLogger;
                     var10001 = Level.SEVERE;
                     String[] var5;
                     var10002 = var5 = new String[4];
                     var10002[0] = userName;
                     var10002[1] = String.valueOf(IMSError.errCode);
                     var10002[2] = IMSError.errMessage;
                     var10002[3] = IMSError.errDetail;
                     var10000.log(var10001, "验证PIN码时发生错误", var5);
                     XLog.d("验证PIN码时发生错误" + Arrays.toString(new String[]{userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                     return new Result("IE1044");
                  }
               }
            }
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void changePIN(@NonNull String userName, @NonNull String oldPIN, @NonNull String newPIN, Result.ResultListener resultListener) {
      Result var6;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(oldPIN) && !TextUtils.isEmpty(newPIN)) {
         if (!this.isCertExist(userName)) {
            var6 = new Result.<init>("IE1005");
            resultListener.handleResult(var6);
         } else if (oldPIN.length() >= 256) {
            XLog.d("修改PIN失败,旧PIN过长" + Arrays.toString(new String[]{oldPIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else if (newPIN.length() >= 256) {
            XLog.d("修改PIN失败,新PIN过长" + Arrays.toString(new String[]{newPIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else {
            Result.ResultListener var5;
            var5 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$oldPIN;
               // $FF: synthetic field
               final String val$newPIN;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$userName = var2;
                  this.val$oldPIN = var3;
                  this.val$newPIN = var4;
                  this.val$resultListener = var5;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     IMSCertAction var10000 = CertManager.this.imsCertAction;
                     String var2 = this.val$userName;
                     String var3 = this.val$oldPIN;
                     String var4 = this.val$newPIN;
                     if (var10000.changePIN(var2, var3, var4)) {
                        this.val$resultListener.handleResult(result);
                     } else {
                        Logger var10001 = IMSSdk.mLogger;
                        Level var10002 = Level.SEVERE;
                        String[] result1;
                        String[] var10003 = result1 = new String[4];
                        var10003[0] = this.val$userName;
                        var10003[1] = String.valueOf(IMSError.errCode);
                        var10003[2] = IMSError.errMessage;
                        var10003[3] = IMSError.errDetail;
                        var10001.log(var10002, "修改PIN失败:", result1);
                        XLog.d("修改PIN失败:" + Arrays.toString(new String[]{this.val$userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                        this.val$resultListener.handleResult(new Result("IE1012"));
                     }
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(userName, oldPIN, newPIN, resultListener);
            this.verifyPIN(userName, oldPIN, var5);
         }
      } else {
         var6 = new Result.<init>("IE1013");
         resultListener.handleResult(var6);
      }
   }

   public Result changePIN(@NonNull String userName, @NonNull String oldPIN, @NonNull String newPIN) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(oldPIN) && !TextUtils.isEmpty(newPIN)) {
         if (!this.isCertExist(userName)) {
            return new Result("IE1005");
         } else if (oldPIN.length() >= 256) {
            XLog.d("修改PIN失败,旧PIN过长" + Arrays.toString(new String[]{oldPIN}));
            return new Result("IE1013");
         } else if (newPIN.length() >= 256) {
            XLog.d("修改PIN失败,新PIN过长" + Arrays.toString(new String[]{newPIN}));
            return new Result("IE1013");
         } else {
            Result var4;
            if (TextUtils.equals("000000", (var4 = this.verifyPIN(userName, oldPIN)).getResultID())) {
               if (this.imsCertAction.changePIN(userName, oldPIN, newPIN)) {
                  return var4;
               } else {
                  Logger var10000 = IMSSdk.mLogger;
                  Level var10001 = Level.SEVERE;
                  String[] var5;
                  String[] var10002 = var5 = new String[4];
                  var10002[0] = userName;
                  var10002[1] = String.valueOf(IMSError.errCode);
                  var10002[2] = IMSError.errMessage;
                  var10002[3] = IMSError.errDetail;
                  var10000.log(var10001, "修改PIN失败:", var5);
                  XLog.d("修改PIN失败:" + Arrays.toString(new String[]{userName, String.valueOf(IMSError.errCode), IMSError.errMessage, IMSError.errDetail}));
                  return new Result("IE1012");
               }
            } else {
               return var4;
            }
         }
      } else {
         return new Result("IE1013");
      }
   }

   public boolean clearCertData(@NonNull String userName) {
      return this.imsCertAction.clearCertData(userName);
   }

   public String getCertPubKey(@NonNull String userName) {
      return this.imsCertAction.getCertPubKey(userName);
   }

   public byte[] encryptByCert(@NonNull String certStr, byte[] plain) {
      return !TextUtils.isEmpty(certStr) && plain != null && plain.length > 0 ? this.imsCertAction.encryptByCert(certStr, plain) : null;
   }

   public void decryptByCert(@NonNull String userName, @NonNull String PIN, boolean useSignCert, String encryptData, @NonNull Result.ResultListener resultListener) {
      Result.ResultListener var6;
      var6 = new Result.ResultListener() {
         // $FF: synthetic field
         final boolean val$useSignCert;
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final String val$encryptData;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;

         {
            this.val$useSignCert = var2;
            this.val$userName = var3;
            this.val$PIN = var4;
            this.val$encryptData = var5;
            this.val$resultListener = var6;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               String var2;
               String var7;
               IMSCertAction var9;
               if (this.val$useSignCert) {
                  if (CertManager.this.imsCertAction.isCollaborative()) {
                     CertManager var10000 = CertManager.this;
                     <undefinedtype> var10001 = this;
                     <undefinedtype> var10002 = this;
                     <undefinedtype> var10003 = this;
                     String var4 = this.val$userName;
                     String result1 = var10003.val$PIN;
                     var2 = var10002.val$encryptData;
                     Result.ResultListener var3 = var10001.val$resultListener;
                     var10000.decryptByCertCollaborative(var4, result1, var2, var3);
                  } else {
                     var9 = CertManager.this.imsCertAction;
                     var2 = this.val$userName;
                     var7 = this.val$PIN;
                     result.setResultDesc(Base64.encodeToString(var9.decryptByCert(var2, var7, Base64.decode(this.val$encryptData, 2), true), 2));
                     this.val$resultListener.handleResult(result);
                  }
               } else if (CertManager.this.imsCertAction.isPairedCert()) {
                  var9 = CertManager.this.imsCertAction;
                  var2 = this.val$userName;
                  var7 = this.val$PIN;
                  result.setResultDesc(Base64.encodeToString(var9.decryptByCert(var2, var7, Base64.decode(this.val$encryptData, 2), false), 2));
                  this.val$resultListener.handleResult(result);
               } else {
                  <undefinedtype> var8 = this;
                  Result var5;
                  var5 = new Result.<init>("IE1056");
                  var8.val$resultListener.handleResult(var5);
               }
            }

         }
      }.<init>(useSignCert, userName, PIN, encryptData, resultListener);
      this.verifyPIN(userName, PIN, var6);
   }

   public Result decryptByCert(@NonNull String userName, @NonNull String PIN, boolean useSignCert, String encryptData) {
      Result var5;
      if (TextUtils.equals("000000", (var5 = this.verifyPIN(userName, PIN)).getResultID())) {
         if (useSignCert) {
            if (this.imsCertAction.isCollaborative()) {
               return this.decryptByCertCollaborative(userName, PIN, encryptData);
            } else {
               var5.setResultDesc(Base64.encodeToString(this.imsCertAction.decryptByCert(userName, PIN, Base64.decode(encryptData, 2), true), 2));
               return var5;
            }
         } else if (this.imsCertAction.isPairedCert()) {
            var5.setResultDesc(Base64.encodeToString(this.imsCertAction.decryptByCert(userName, PIN, Base64.decode(encryptData, 2), false), 2));
            return var5;
         } else {
            return new Result("IE1056");
         }
      } else {
         return var5;
      }
   }

   public String makeEnvelop(@NonNull String userName, @NonNull String symmetricAlgorithm, boolean useSignCert, @NonNull byte[] plain) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(symmetricAlgorithm) && plain != null && plain.length > 0) {
         return !IMSSdk.enablePhoneCopy && !this.keyStoreUtil.initCheck(userName).getResultID().equals("000000") ? null : this.imsCertAction.makeEnvelop(userName, symmetricAlgorithm, useSignCert, plain);
      } else {
         return null;
      }
   }

   public void openEnvelop(@NonNull String userName, @NonNull String PIN, boolean useSignCert, @NonNull String envelopData, @NonNull Result.ResultListener resultListener) {
      Result.ResultListener var6;
      var6 = new Result.ResultListener() {
         // $FF: synthetic field
         final boolean val$useSignCert;
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final String val$envelopData;

         {
            this.val$useSignCert = var2;
            this.val$resultListener = var3;
            this.val$userName = var4;
            this.val$PIN = var5;
            this.val$envelopData = var6;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               String var2;
               String var3;
               String var4;
               <undefinedtype> var7;
               IMSCertAction var8;
               <undefinedtype> var10003;
               <undefinedtype> var10004;
               if (this.val$useSignCert) {
                  if (CertManager.this.imsCertAction.isCollaborative()) {
                     Result.ResultListener var10000 = this.val$resultListener;
                     CertManager var10001 = CertManager.this;
                     <undefinedtype> var10002 = this;
                     var10003 = this;
                     var4 = this.val$userName;
                     String result1 = var10003.val$PIN;
                     var2 = var10002.val$envelopData;
                     var10000.handleResult(var10001.openEnvelopWithCollaborative(var4, result1, var2));
                  } else {
                     var7 = this;
                     var8 = CertManager.this.imsCertAction;
                     var10003 = this;
                     var10004 = this;
                     var4 = this.val$userName;
                     var2 = var10004.val$PIN;
                     var3 = var10003.val$envelopData;
                     result.setResultDesc(Base64.encodeToString(var8.openEnvelop(var4, var2, true, var3), 2));
                     var7.val$resultListener.handleResult(result);
                  }
               } else if (CertManager.this.imsCertAction.isPairedCert()) {
                  var7 = this;
                  var8 = CertManager.this.imsCertAction;
                  var10003 = this;
                  var10004 = this;
                  var4 = this.val$userName;
                  var2 = var10004.val$PIN;
                  var3 = var10003.val$envelopData;
                  result.setResultDesc(Base64.encodeToString(var8.openEnvelop(var4, var2, false, var3), 2));
                  var7.val$resultListener.handleResult(result);
               } else {
                  var7 = this;
                  Result var5;
                  var5 = new Result.<init>("IE1056");
                  var7.val$resultListener.handleResult(var5);
               }
            } else {
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(useSignCert, resultListener, userName, PIN, envelopData);
      this.verifyPIN(userName, PIN, var6);
   }

   public Result openEnvelop(@NonNull String userName, @NonNull String PIN, boolean useSignCert, @NonNull String envelopData) {
      Result var5;
      if (TextUtils.equals("000000", (var5 = this.verifyPIN(userName, PIN)).getResultID())) {
         if (useSignCert) {
            if (this.imsCertAction.isCollaborative()) {
               return this.openEnvelopWithCollaborative(userName, PIN, envelopData);
            } else {
               var5.setResultDesc(Base64.encodeToString(this.imsCertAction.openEnvelop(userName, PIN, true, envelopData), 2));
               return var5;
            }
         } else if (this.imsCertAction.isPairedCert()) {
            var5.setResultDesc(Base64.encodeToString(this.imsCertAction.openEnvelop(userName, PIN, false, envelopData), 2));
            return var5;
         } else {
            return new Result("IE1056");
         }
      } else {
         return var5;
      }
   }

   public String makeEnvelop(@NonNull String base64Cert, @NonNull String symmetricAlgorithm, @NonNull byte[] plain) {
      return !TextUtils.isEmpty(base64Cert) && !TextUtils.isEmpty(symmetricAlgorithm) && plain != null && plain.length > 0 ? this.imsCertAction.makeEnvelopWithCert(base64Cert, symmetricAlgorithm, plain) : null;
   }

   public byte[] openEnvelopWithKey(@NonNull String privateKey, @NonNull String keyPIN, @NonNull String encCert, @NonNull String envelopData) {
      return this.imsCertAction.openEnvelopWithPriKey(privateKey, keyPIN, encCert, envelopData);
   }

   public void makeSignedEnvelopForNetSign(@NonNull String userName, @NonNull String PIN, @NonNull String encCert, byte[] plain, @NonNull String symmetricAlgorithm, @NonNull Result.ResultListener resultListener) {
      Result var8;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(encCert) && plain != null && plain.length > 0 && !TextUtils.isEmpty(symmetricAlgorithm)) {
         if (PIN.length() >= 256) {
            XLog.d("制作带签名的数字信封,PIN过长" + Arrays.toString(new String[]{PIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else if (!Arrays.asList(this.algs).contains(symmetricAlgorithm)) {
            var8 = new Result.<init>("IE1013");
            resultListener.handleResult(var8);
         } else {
            Result var7;
            if (!IMSSdk.enablePhoneCopy && !(var7 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               resultListener.handleResult(var7);
            } else {
               String var10001 = userName;
               SignManager var10000 = new SignManager(IMSSdk.mContext);
               Result.ResultListener userName1;
               userName1 = new Result.ResultListener() {
                  // $FF: synthetic field
                  final String val$encCert;
                  // $FF: synthetic field
                  final String val$symmetricAlgorithm;
                  // $FF: synthetic field
                  final Result.ResultListener val$resultListener;

                  {
                     this.val$encCert = var2;
                     this.val$symmetricAlgorithm = var3;
                     this.val$resultListener = var4;
                  }

                  public void handleResult(Result result) {
                     if (TextUtils.equals("000000", result.getResultID())) {
                        byte[] var2 = Base64.decode(result.getResultDesc(), 2);
                        String var3 = this.val$encCert;
                        result.setResultDesc(CertManager.this.makeEnvelop(var3, this.val$symmetricAlgorithm, var2));
                     }

                     this.val$resultListener.handleResult(result);
                  }
               }.<init>(encCert, symmetricAlgorithm, resultListener);
               var10000.sign(var10001, PIN, plain, 1, userName1);
            }
         }
      } else {
         var8 = new Result.<init>("IE1013");
         resultListener.handleResult(var8);
      }
   }

   public Result makeSignedEnvelopForNetSign(@NonNull String userName, @NonNull String PIN, @NonNull String encCert, byte[] plain, @NonNull String symmetricAlgorithm) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(encCert) && plain != null && plain.length > 0 && !TextUtils.isEmpty(symmetricAlgorithm)) {
         if (PIN.length() >= 256) {
            XLog.d("制作带签名的数字信封,PIN过长" + Arrays.toString(new String[]{PIN}));
            return new Result("IE1013");
         } else if (!Arrays.asList(this.algs).contains(symmetricAlgorithm)) {
            return new Result("IE1013");
         } else {
            Result var6;
            if (!IMSSdk.enablePhoneCopy && !(var6 = this.keyStoreUtil.initCheck(userName)).getResultID().equals("000000")) {
               return var6;
            } else {
               Result userName1;
               if (TextUtils.equals("000000", (userName1 = (new SignManager(IMSSdk.mContext)).sign(userName, PIN, plain, 1)).getResultID())) {
                  userName1.setResultDesc(this.makeEnvelop(encCert, symmetricAlgorithm, Base64.decode(userName1.getResultDesc(), 2)));
               }

               return userName1;
            }
         }
      } else {
         return new Result("IE1013");
      }
   }

   public void getCertForEnvelop(@NonNull String certDN, @NonNull Result.ResultListener resultListener) {
      Map certDN1;
      if ((certDN1 = this.imsCertAction.certForEnvelopBegin(certDN)) == null) {
         resultListener.handleResult(this.imsCertAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/envelope/getEncCert");
         Map var10002 = certDN1;
         NetworkInterface.NetworkCallback certDN2;
         certDN2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(CertManager.this.imsCertAction.certForEnvelopFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1029", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "获取服务器加密证书失败:".concat(errorMsg));
               XLog.d("获取服务器加密证书失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, certDN2);
      }
   }

   public Result getCertForEnvelop(@NonNull String certDN) {
      Exception var10000;
      label41: {
         Map var10;
         boolean var10001;
         try {
            var10 = this.imsCertAction.certForEnvelopBegin(certDN);
         } catch (Exception var6) {
            var10000 = var6;
            var10001 = false;
            break label41;
         }

         Map certDN1 = var10;
         if (var10 == null) {
            try {
               return this.imsCertAction.getLatestResult();
            } catch (Exception var2) {
               var10000 = var2;
               var10001 = false;
            }
         } else {
            label43: {
               CertManager var11;
               NetworkInterface var12;
               try {
                  var11 = this;
                  var12 = IMSSdk.networkInterface;
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var13;
               try {
                  var13 = var12.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/envelope/getEncCert"), certDN1);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
                  break label43;
               }

               JSONObject var7 = var13;

               try {
                  return var11.imsCertAction.certForEnvelopFinal(var7);
               } catch (Exception var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            }
         }
      }

      Exception var8 = var10000;
      var8.printStackTrace();
      return new Result("IE1015", var8);
   }

   public void makeSignedEnvelop(@NonNull String userName, @NonNull String PIN, @NonNull String encCert, byte[] plain, @NonNull String symmetricAlgorithm, @NonNull Result.ResultListener resultListener) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(encCert) && plain != null && plain.length > 0 && !TextUtils.isEmpty(symmetricAlgorithm)) {
         if (PIN.length() >= 256) {
            XLog.d("制作带签名的数字信封,PIN过长" + Arrays.toString(new String[]{PIN}));
            resultListener.handleResult(new Result("IE1013"));
         } else {
            CertManager var10000 = new CertManager(IMSSdk.mContext);
            Result.ResultListener var7;
            var7 = new Result.ResultListener() {
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final String val$encCert;
               // $FF: synthetic field
               final byte[] val$plain;
               // $FF: synthetic field
               final String val$symmetricAlgorithm;

               {
                  this.val$resultListener = var2;
                  this.val$userName = var3;
                  this.val$PIN = var4;
                  this.val$encCert = var5;
                  this.val$plain = var6;
                  this.val$symmetricAlgorithm = var7;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     HandlerThread result1;
                     HandlerThread var10000 = result1 = new HandlerThread;
                     var10000.<init>("makeSignedEnvelop");
                     var10000.start();
                     Handler var2;
                     var2 = new Handler() {
                        public void handleMessage(@NonNull Message msg) {
                           super.handleMessage(msg);
                           String msg1;
                           if (TextUtils.isEmpty(msg1 = (String)msg.obj)) {
                              val$resultListener.handleResult(new Result("IE1021"));
                           } else {
                              val$resultListener.handleResult(new Result("000000", msg1));
                           }

                        }
                     }.<init>();
                     Looper result2 = result1.getLooper();
                     Handler.Callback var3;
                     var3 = new Handler.Callback() {
                        // $FF: synthetic field
                        final Handler val$mainHandler;

                        {
                           this.val$mainHandler = var2;
                        }

                        public boolean handleMessage(@NonNull Message msg) {
                           <undefinedtype> var10000 = this;
                           IMSCertAction var10001 = CertManager.this.imsCertAction;
                           <undefinedtype> var10002 = <VAR_NAMELESS_ENCLOSURE>;
                           String var5 = var10002.val$userName;
                           String msg1 = var10002.val$PIN;
                           String var2 = var10002.val$encCert;
                           byte[] var3 = var10002.val$plain;
                           String var4 = var10002.val$symmetricAlgorithm;
                           var5 = var10001.makeSignedEnvelop(var5, msg1, var2, var3, "sm3", var4);
                           Message.obtain(var10000.val$mainHandler, 0, var5).sendToTarget();
                           return false;
                        }
                     }.<init>(var2);
                     (new Handler(result2, var3)).sendEmptyMessage(0);
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(resultListener, userName, PIN, encCert, plain, symmetricAlgorithm);
            var10000.verifyPIN(userName, PIN, var7);
         }
      } else {
         Result var8;
         var8 = new Result.<init>("IE1013");
         resultListener.handleResult(var8);
      }
   }

   public Result makeSignedEnvelop(@NonNull String userName, @NonNull String PIN, @NonNull String encCert, byte[] plain, @NonNull String symmetricAlgorithm) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(encCert) && plain != null && plain.length > 0 && !TextUtils.isEmpty(symmetricAlgorithm)) {
         if (PIN.length() >= 256) {
            XLog.d("制作带签名的数字信封,PIN过长" + Arrays.toString(new String[]{PIN}));
            return new Result("IE1013");
         } else {
            Result var6;
            if (TextUtils.equals("000000", (var6 = this.verifyPIN(userName, PIN)).getResultID())) {
               var6.setResultDesc(this.imsCertAction.makeSignedEnvelop(userName, PIN, encCert, plain, "sm3", symmetricAlgorithm));
            }

            return var6;
         }
      } else {
         return new Result("IE1013");
      }
   }
}
